Subject: bug#13949: 24.4.1; `fill-paragraph' should not always put the buffer as modified

From: Drew Adams <[email-masked]>
Date: Sun, 27 Mar 2016 08:13:05 -0700 (PDT)

> > Emacs thinks that the buffer is modified when actually it isn't,
> 
> Emacs correctly tells you that the buffer has been modified.  That the
> buffer's contents now match the file's contents is irrelevant.

"Irrelevant" is in the eye of the beholder.  What might be
relevant to given code or to a given user in a given context
can be irrelevant to another.

I agree that the current, fine-grained indication of whether
any kind of changes have been made to the buffer is important
not to lose.  But it could also be useful to layer on top of
this indications of other levels - particular kinds - of buffer
changes.

IOW, one-size-fits-all is not ideal, but we definitely do not
want to lose the finest-grain indication, which is what we
have now.  Emacs should provide more help - more kinds of
change indication - both for code and interactively, for users.